Summary: The utilities to create Reiserfs volume
Name: reiserfsprogs
Version: 3.6.17
Release: alt2
Source0: ftp://ftp.namesys.com/pub/reiserfsprogs/%name-%version.tar.gz
Patch1: reiserfsprogs-3.6.2-make-the-force-option-works-in-resize_reiserfs.patch.bz2
License: GPL
Group: System/Kernel and hardware
Url: http://www.namesys.com/
Obsoletes: reiserfs-utils
Conflicts: progsreiserfs
Provides: reiserfs-utils

# Automatically added by buildreq on Wed May 12 2004
BuildRequires: libe2fs-devel

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month.  Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%prep
%setup -q
%patch1 -p1

%build
%configure
%make OPTFLAGS="%optflags"

%install
mkdir -p $RPM_BUILD_ROOT%_mandir/man8
%makeinstall
mv $RPM_BUILD_ROOT/{usr/,}sbin
ln -s mkreiserfs $RPM_BUILD_ROOT/sbin/mkfs.reiserfs
ln -s reiserfsck $RPM_BUILD_ROOT/sbin/fsck.reiserfs
ln -s mkreiserfs.8 $RPM_BUILD_ROOT%_mandir/man8/mkfs.reiserfs.8
ln -s reiserfsck.8 $RPM_BUILD_ROOT%_mandir/man8/fsck.reiserfs.8

%files
%doc README ChangeLog COPYING
/sbin/*
%_mandir/*/*

%changelog
* Thu Jun 03 2004 Anton Farygin <rider@altlinux.ru> 3.6.17-alt2
- added conflicts with progsreiserfs

* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 3.6.17-alt1
- 3.6.17

* Wed May 12 2004 Anton Farygin <rider@altlinux.ru> 3.6.14-alt1
- first build for Sisyphus, based on specfile from MDK
